<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSLFShape (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSLFShape (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":9,"i19":9,"i20":9,"i21":9,"i22":9,"i23":10,"i24":10,"i25":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSLFShape.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShadow.html"
               title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShapeContainer.html"
               title="interface in org.apache.poi.xslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xslf/usermodel/XSLFShape.html" target="_top">Frames</a>
        </li>
        <li><a href="XSLFShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xslf.usermodel</div>
    <h2 title="Class XSLFShape" class="title">Class XSLFShape</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xslf.usermodel.XSLFShape</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                           title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;
                    </dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html"
                           title="class in org.apache.poi.xslf.usermodel">XSLFGraphicFrame</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFGroupShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFGroupShape</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFShadow.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFShadow</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFSimpleShape</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Beta.html" title="annotation in org.apache.poi.util">@Beta</a>
public abstract class <span class="typeNameLabel">XSLFShape</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
              title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</pre>
                <div class="block">Base super-class class for all shapes in PresentationML</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#XSLFShape-org.apache.xmlbeans.XmlObject-org.apache.poi.xslf.usermodel.XSLFSheet-">XSLFShape</a></span>(org.apache.xmlbeans.XmlObject&nbsp;shape,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSheet.html"
                                       title="class in org.apache.poi.xslf.usermodel">XSLFSheet</a>&nbsp;sheet)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#draw-java.awt.Graphics2D-java.awt.geom.Rectangle2D-">draw</a></span>(java.awt.Graphics2D&nbsp;graphics,
                                    java.awt.geom.Rectangle2D&nbsp;bounds)</code>
                                    <div class="block">Convenience method to draw a single shape</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#fetchShapeProperty-org.apache.poi.xslf.model.PropertyFetcher-">fetchShapeProperty</a></span>(<a
                                        href="../../../../../org/apache/poi/xslf/model/PropertyFetcher.html"
                                        title="class in org.apache.poi.xslf.model">PropertyFetcher</a>&lt;?&gt;&nbsp;visitor)</code>
                                    <div class="block">Walk up the inheritance tree and fetch shape properties.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.presentationml.x2006.main.CTBackgroundProperties</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getBgPr--">getBgPr</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.drawingml.x2006.main.CTStyleMatrixReference</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getBgRef--">getBgRef</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>protected &lt;T extends org.apache.xmlbeans.XmlObject&gt;<br>T</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getChild-java.lang.Class-java.lang.String-java.lang.String-">getChild</a></span>(java.lang.Class&lt;T&gt;&nbsp;childClass,
                                    java.lang.String&nbsp;namespace,
                                    java.lang.String&nbsp;nodename)</code>
                                    <div class="block">Return direct child objects of this shape</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.drawingml.x2006.main.CTNonVisualDrawingProps</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getCNvPr--">getCNvPr</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getFillPaint--">getFillPaint</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.drawingml.x2006.main.CTGroupShapeProperties</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getGrpSpPr--">getGrpSpPr</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShapeContainer.html"
                                        title="interface in org.apache.poi.xslf.usermodel">XSLFShapeContainer</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getParent--">getParent</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                        title="enum in org.apache.poi.sl.usermodel">Placeholder</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getPlaceholder--">getPlaceholder</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFPlaceholderDetails.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFPlaceholderDetails</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getPlaceholderDetails--">getPlaceholderDetails</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getShapeId--">getShapeId</a></span>()</code>
                                    <div class="block">Returns a unique identifier for this shape within the current
                                        slide.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getShapeName--">getShapeName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>protected org.apache.xmlbeans.XmlObject</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getShapeProperties--">getShapeProperties</a></span>()</code>
                                    <div class="block">Return the shape specific (visual) properties</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFSheet.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFSheet</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getSheet--">getSheet</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.drawingml.x2006.main.CTShapeStyle</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getSpStyle--">getSpStyle</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>org.apache.xmlbeans.XmlObject</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getXmlObject--">getXmlObject</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#isPlaceholder--">isPlaceholder</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>protected static <a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTBlipFillProperties-org.apache.poi.openxml4j.opc.PackagePart-">selectPaint</a></span>(org.openxmlformats.schemas.drawingml.x2006.main.CTBlipFillProperties&nbsp;blipFill,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                       title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;parentPart)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>protected static <a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTGradientFillProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor-org.apache.poi.xslf.usermodel.XSLFTheme-">selectPaint</a></span>(org.openxmlformats.schemas.drawingml.x2006.main.CTGradientFillProperties&nbsp;gradFill,
                                    org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor&nbsp;phClr,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFTheme.html"
                                       title="class in org.apache.poi.xslf.usermodel">XSLFTheme</a>&nbsp;theme)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>protected static <a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTSolidColorFillProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor-org.apache.poi.xslf.usermodel.XSLFTheme-">selectPaint</a></span>(org.openxmlformats.schemas.drawingml.x2006.main.CTSolidColorFillProperties&nbsp;solidFill,
                                    org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor&nbsp;phClr,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFTheme.html"
                                       title="class in org.apache.poi.xslf.usermodel">XSLFTheme</a>&nbsp;theme)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>protected static <a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTStyleMatrixReference-org.apache.poi.xslf.usermodel.XSLFTheme-boolean-boolean-">selectPaint</a></span>(org.openxmlformats.schemas.drawingml.x2006.main.CTStyleMatrixReference&nbsp;fillRef,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFTheme.html"
                                       title="class in org.apache.poi.xslf.usermodel">XSLFTheme</a>&nbsp;theme,
                                    boolean&nbsp;isLineStyle,
                                    boolean&nbsp;hasPlaceholder)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>protected static <a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.apache.poi.xslf.usermodel.XSLFPropertiesDelegate.XSLFFillProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor-org.apache.poi.openxml4j.opc.PackagePart-org.apache.poi.xslf.usermodel.XSLFTheme-boolean-">selectPaint</a></span>(<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFPropertiesDelegate.XSLFFillProperties.html"
                                        title="interface in org.apache.poi.xslf.usermodel">XSLFPropertiesDelegate.XSLFFillProperties</a>&nbsp;fp,
                                    org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor&nbsp;phClr,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                       title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;parentPart,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFTheme.html"
                                       title="class in org.apache.poi.xslf.usermodel">XSLFTheme</a>&nbsp;theme,
                                    boolean&nbsp;hasPlaceholder)</code>
                                    <div class="block">Convert shape fill into java.awt.Paint.</div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>protected &lt;T extends org.apache.xmlbeans.XmlObject&gt;<br>T</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectProperty-java.lang.Class-java.lang.String-">selectProperty</a></span>(java.lang.Class&lt;T&gt;&nbsp;resultClass,
                                    java.lang.String&nbsp;xquery)</code>
                                    <div class="block">As there's no xmlbeans hierarchy, but XSLF works with
                                        subclassing, not all
                                        child classes work with a <code>CTShape</code> object, but often contain the
                                        same
                                        properties.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#setParent-org.apache.poi.xslf.usermodel.XSLFShapeContainer-">setParent</a></span>(<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShapeContainer.html"
                                        title="interface in org.apache.poi.xslf.usermodel">XSLFShapeContainer</a>&nbsp;parent)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">setPlaceholder</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                        title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.Shape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a></h3>
                                <code><a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getAnchor--">getAnchor</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSLFShape-org.apache.xmlbeans.XmlObject-org.apache.poi.xslf.usermodel.XSLFSheet-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSLFShape</h4>
                                <pre>protected&nbsp;XSLFShape(org.apache.xmlbeans.XmlObject&nbsp;shape,
                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSheet.html"
                       title="class in org.apache.poi.xslf.usermodel">XSLFSheet</a>&nbsp;sheet)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getXmlObject--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getXmlObject</h4>
                                <pre>public final&nbsp;org.apache.xmlbeans.XmlObject&nbsp;getXmlObject()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the xml bean holding this shape's data</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSheet--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheet</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSheet.html"
                                                    title="class in org.apache.poi.xslf.usermodel">XSLFSheet</a>&nbsp;getSheet()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getSheet--">getSheet</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                                title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the sheet this shape belongs to</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getShapeName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShapeName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getShapeName()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getShapeName--">getShapeName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                                title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>human-readable name of this shape, e.g. "Rectange 3"</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getShapeId--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShapeId</h4>
                                <pre>public&nbsp;int&nbsp;getShapeId()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getShapeId--">Shape</a></code></span>
                                </div>
                                <div class="block">Returns a unique identifier for this shape within the current slide.
                                    This ID may be used to assist in uniquely identifying this object so that it can
                                    be referred to by other parts of the document.
                                    <p>
                                        If multiple objects within the same slide share the same id attribute value,
                                        then the document shall be considered non-conformant.
                                    </p></div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getShapeId--">getShapeId</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                                title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>unique id of this shape</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setParent-org.apache.poi.xslf.usermodel.XSLFShapeContainer-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setParent</h4>
                                <pre>public&nbsp;void&nbsp;setParent(<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShapeContainer.html"
                                        title="interface in org.apache.poi.xslf.usermodel">XSLFShapeContainer</a>&nbsp;parent)</pre>
                            </li>
                        </ul>
                        <a name="getParent--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParent</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShapeContainer.html"
                                        title="interface in org.apache.poi.xslf.usermodel">XSLFShapeContainer</a>&nbsp;getParent()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getParent--">getParent</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                                title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFillPaint--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFillPaint</h4>
                                <pre>protected&nbsp;<a href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                                       title="interface in org.apache.poi.sl.usermodel">PaintStyle</a>&nbsp;getFillPaint()</pre>
                            </li>
                        </ul>
                        <a name="getBgPr--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBgPr</h4>
                                <pre>protected&nbsp;org.openxmlformats.schemas.presentationml.x2006.main.CTBackgroundProperties&nbsp;getBgPr()</pre>
                            </li>
                        </ul>
                        <a name="getBgRef--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBgRef</h4>
                                <pre>protected&nbsp;org.openxmlformats.schemas.drawingml.x2006.main.CTStyleMatrixReference&nbsp;getBgRef()</pre>
                            </li>
                        </ul>
                        <a name="getGrpSpPr--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getGrpSpPr</h4>
                                <pre>protected&nbsp;org.openxmlformats.schemas.drawingml.x2006.main.CTGroupShapeProperties&nbsp;getGrpSpPr()</pre>
                            </li>
                        </ul>
                        <a name="getCNvPr--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCNvPr</h4>
                                <pre>protected&nbsp;org.openxmlformats.schemas.drawingml.x2006.main.CTNonVisualDrawingProps&nbsp;getCNvPr()</pre>
                            </li>
                        </ul>
                        <a name="getSpStyle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSpStyle</h4>
                                <pre>protected&nbsp;org.openxmlformats.schemas.drawingml.x2006.main.CTShapeStyle&nbsp;getSpStyle()</pre>
                            </li>
                        </ul>
                        <a name="getChild-java.lang.Class-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChild</h4>
                                <pre>protected&nbsp;&lt;T extends org.apache.xmlbeans.XmlObject&gt;&nbsp;T&nbsp;getChild(java.lang.Class&lt;T&gt;&nbsp;childClass,
                                                               java.lang.String&nbsp;namespace,
                                                               java.lang.String&nbsp;nodename)</pre>
                                <div class="block">Return direct child objects of this shape</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>childClass</code> - the class to cast the properties to</dd>
                                    <dd><code>namespace</code> - the namespace - usually it is <code>"http://schemas.openxmlformats.org/presentationml/2006/main"</code>
                                    </dd>
                                    <dd><code>nodename</code> - the node name, without prefix</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the properties object or null if it can't be found</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isPlaceholder--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isPlaceholder</h4>
                                <pre>public&nbsp;boolean&nbsp;isPlaceholder()</pre>
                            </li>
                        </ul>
                        <a name="getPlaceholder--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPlaceholder</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;getPlaceholder()</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.html#getPlaceholder--"><code>PlaceholderDetails.getPlaceholder()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPlaceholder</h4>
                                <pre>public&nbsp;void&nbsp;setPlaceholder(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                        title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-"><code>PlaceholderDetails.setPlaceholder(Placeholder)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPlaceholderDetails--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPlaceholderDetails</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFPlaceholderDetails.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFPlaceholderDetails</a>&nbsp;getPlaceholderDetails()</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getPlaceholderDetails--"><code>SimpleShape.getPlaceholderDetails()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="selectProperty-java.lang.Class-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>selectProperty</h4>
                                <pre>protected&nbsp;&lt;T extends org.apache.xmlbeans.XmlObject&gt;&nbsp;T&nbsp;selectProperty(java.lang.Class&lt;T&gt;&nbsp;resultClass,
                                                                     java.lang.String&nbsp;xquery)</pre>
                                <div class="block">As there's no xmlbeans hierarchy, but XSLF works with subclassing,
                                    not all
                                    child classes work with a <code>CTShape</code> object, but often contain the same
                                    properties. This method is the generalized form of selecting and casting those
                                    properties.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>resultClass</code> - the requested result class</dd>
                                    <dd><code>xquery</code> - the simple (xmlbean) xpath expression to the property</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the xml object at the xpath location, or null if not found</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="fetchShapeProperty-org.apache.poi.xslf.model.PropertyFetcher-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fetchShapeProperty</h4>
                                <pre>protected&nbsp;boolean&nbsp;fetchShapeProperty(<a
                                        href="../../../../../org/apache/poi/xslf/model/PropertyFetcher.html"
                                        title="class in org.apache.poi.xslf.model">PropertyFetcher</a>&lt;?&gt;&nbsp;visitor)</pre>
                                <div class="block">Walk up the inheritance tree and fetch shape properties.<p>

                                    The following order of inheritance is assumed:
                                    <p>
                                    <ol>
                                        <li>slide
                                        <li>slideLayout
                                        <li>slideMaster
                                    </ol>

                                    Currently themes and their defaults aren't correctly handled
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>visitor</code> - the object that collects the desired property</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the property was fetched</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="selectPaint-org.apache.poi.xslf.usermodel.XSLFPropertiesDelegate.XSLFFillProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor-org.apache.poi.openxml4j.opc.PackagePart-org.apache.poi.xslf.usermodel.XSLFTheme-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>selectPaint</h4>
                                <pre>protected static&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle</a>&nbsp;selectPaint(<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFPropertiesDelegate.XSLFFillProperties.html"
                                        title="interface in org.apache.poi.xslf.usermodel">XSLFPropertiesDelegate.XSLFFillProperties</a>&nbsp;fp,
                                        org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor&nbsp;phClr,
                                        <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                           title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;parentPart,
                                        <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFTheme.html"
                                           title="class in org.apache.poi.xslf.usermodel">XSLFTheme</a>&nbsp;theme,
                                        boolean&nbsp;hasPlaceholder)</pre>
                                <div class="block">Convert shape fill into java.awt.Paint. The result is either Color or
                                    TexturePaint or GradientPaint or null
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>fp</code> - a properties handler specific to the underlying shape
                                        properties
                                    </dd>
                                    <dd><code>phClr</code> - context color</dd>
                                    <dd><code>parentPart</code> - the parent package part. Any external references
                                        (images, etc.) are resolved relative to it.
                                    </dd>
                                    <dd><code>theme</code> - the theme for the shape/sheet</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the applied Paint or null if none was applied</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTSolidColorFillProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor-org.apache.poi.xslf.usermodel.XSLFTheme-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>selectPaint</h4>
                                <pre>protected static&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle</a>&nbsp;selectPaint(org.openxmlformats.schemas.drawingml.x2006.main.CTSolidColorFillProperties&nbsp;solidFill,
                                        org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor&nbsp;phClr,
                                        <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFTheme.html"
                                           title="class in org.apache.poi.xslf.usermodel">XSLFTheme</a>&nbsp;theme)</pre>
                            </li>
                        </ul>
                        <a name="selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTBlipFillProperties-org.apache.poi.openxml4j.opc.PackagePart-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>selectPaint</h4>
                                <pre>protected static&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle</a>&nbsp;selectPaint(org.openxmlformats.schemas.drawingml.x2006.main.CTBlipFillProperties&nbsp;blipFill,
                                        <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                           title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;parentPart)</pre>
                            </li>
                        </ul>
                        <a name="selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTGradientFillProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor-org.apache.poi.xslf.usermodel.XSLFTheme-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>selectPaint</h4>
                                <pre>protected static&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle</a>&nbsp;selectPaint(org.openxmlformats.schemas.drawingml.x2006.main.CTGradientFillProperties&nbsp;gradFill,
                                        org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor&nbsp;phClr,
                                        <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFTheme.html"
                                           title="class in org.apache.poi.xslf.usermodel">XSLFTheme</a>&nbsp;theme)</pre>
                            </li>
                        </ul>
                        <a name="selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTStyleMatrixReference-org.apache.poi.xslf.usermodel.XSLFTheme-boolean-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>selectPaint</h4>
                                <pre>protected static&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle</a>&nbsp;selectPaint(org.openxmlformats.schemas.drawingml.x2006.main.CTStyleMatrixReference&nbsp;fillRef,
                                        <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFTheme.html"
                                           title="class in org.apache.poi.xslf.usermodel">XSLFTheme</a>&nbsp;theme,
                                        boolean&nbsp;isLineStyle,
                                        boolean&nbsp;hasPlaceholder)</pre>
                            </li>
                        </ul>
                        <a name="draw-java.awt.Graphics2D-java.awt.geom.Rectangle2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>draw</h4>
                                <pre>public&nbsp;void&nbsp;draw(java.awt.Graphics2D&nbsp;graphics,
                 java.awt.geom.Rectangle2D&nbsp;bounds)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html#draw-java.awt.Graphics2D-java.awt.geom.Rectangle2D-">Shape</a></code></span>
                                </div>
                                <div class="block">Convenience method to draw a single shape</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/Shape.html#draw-java.awt.Graphics2D-java.awt.geom.Rectangle2D-">draw</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                                title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>graphics</code> - the graphics context</dd>
                                    <dd><code>bounds</code> - the rectangle to fit the shape to.
                                        if null, the bounds of the shape are used.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getShapeProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getShapeProperties</h4>
                                <pre>protected&nbsp;org.apache.xmlbeans.XmlObject&nbsp;getShapeProperties()</pre>
                                <div class="block">Return the shape specific (visual) properties</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the shape specific properties</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSLFShape.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShadow.html"
               title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShapeContainer.html"
               title="interface in org.apache.poi.xslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xslf/usermodel/XSLFShape.html" target="_top">Frames</a>
        </li>
        <li><a href="XSLFShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
